{% extends "layout.html" %}
{% block title %}Checks{% endblock %}
{% block section %}Checks{% endblock %}
{% block head %}
{{ super() }}
  <link rel="stylesheet" href="/static/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css">
  <link rel="stylesheet" href="/static/plugins/timepicker/bootstrap-timepicker.min.css">
{% endblock %}
{% block content %}
  <!-- Default box -->
    <div class="row">
      <div class="col-md-8">
       <div class="box">
         <div class="box-header with-border">
             <h3 class="box-title">List</h3>
         </div>
         <div class="box-body">
           <div class="table-responsive">
             <table id="table-users" class="table table-striped table-hover table-responsive">
               <thead>
                 <tr>
                   <th>Sensors</th>
                   <th>Metric</th>
                   <th>Operator</th>
                   <th>Threshold</th>
                   <th>Units</th>
                   <th>Type</th>
                   <th>Enabled</th>
                   <th></th>
                   <th></th>
                 </tr>
               </thead>
               <tbody>
                 {% for item in checks %}
                   <tr data-record-id="{{ item.id }}">
                     <td>{{ item.sensor_name }}</td>
                     <td>{{ item.metric }}</td>
                     <td>{{ item.operator }}</td>
                     <td>{{ item.threshold }}</td>
                     <td>{{ item.units }}</td>
                     <td>{{ item.type }}</td>
                     <td>{{ item.enabled }}</td>
                     <td><a href="/sensors/checks/edit/{{ item.id }}" >edit</a></td>
                     <td><a href="#" data-record-id="{{ item.id }}" data-record-title="{{ item.sensor_name }}"
                      data-toggle="modal" data-target="#confirm-delete">delete</a>
                     </td>
                   </tr>
                 {% endfor %}
               </tbody>
             </table>
           </div>
         </div>
       </div>
      </div>
      <div class="col-md-4">
     <div class="box box-default">
        <div class="box-header with-border">
          <h3 class="box-title">Create</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <div class="row">
            <form class="form-schedule" action="/relays/schedule/add/new" method="post">
            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
            <div class="col-md-12">
                <div class="form-group">
                  <label>Sensor:</label>
                  <select class="form-control select2" name="relay" id="relay" style="width: 100%;">
                      <option value="">None</option>
                  </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                  <label>Metric:</label>
                  <select class="form-control select2" name="relay" id="relay" style="width: 100%;">
                      <option value="">None</option>
                  </select>
                </div>
            </div>
            <!-- /.col -->
            <div class="col-md-6">
                <div class="form-group">
                  <label>Operator:</label>
                  <select class="form-control select2" name="relay" id="relay" style="width: 100%;">
                      <option value="">None</option>
                  </select>
                </div>
            <!-- /.form group -->
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="threshold">Threshold</label>
                <input type="number" class="form-control" name="threshold" id="threshold" placeholder="Threshold value">
              </div>
            <!-- /.form group -->
            </div>
            <div class="col-md-4 col-md-offset-8">
                <label></label>
                <div class="input-group">
                <span class="input-group-btn">
                  <button class="btn bg-{{ current_app.config.APPLICATION_SKIN_COLOR }} form-control" type="submitt">Submit</button>
                </span>
              </div>
              <!-- /.form group -->
            </div>
            <!-- /.col -->
            </form>
         <!-- Igonore error is due to for cycle on the top -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.box-body -->
      </div>
      </div>
    </div>
    <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title" id="myModalLabel">Confirm Delete</h4>
                </div>
                <div class="modal-body">
                    <p>You are about to delete schedule for relay <b><i class="title"></i></b> this procedure is irreversible.</p>
                    <p>Do you want to proceed?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-danger btn-ok">Delete</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block jquery %}
{{ super() }}
  <script src="/static/bower_components/datatables.net/js/jquery.dataTables.min.js"></script>
  <script src="/static/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
  <script>
    $(document).ready(function(){
        $('#table-users').DataTable( {
        "iDisplayLength": 10,
        "aLengthMenu": [[10, 20, 30, -1], [10, 20, 30, "All"]],
        "deferRender": true
        });
    });
  </script>
  <script>
    $('#confirm-delete').on('click', '.btn-ok', function(e) {
        var $modalDiv = $(e.delegateTarget);
        var id = $(this).data('recordId');
        var csrf_token = "{{ csrf_token() }}";
        $.ajaxSetup({
          beforeSend: function(xhr, settings) {
            if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                xhr.setRequestHeader("X-CSRFToken", csrf_token);
              }
            }
        });
        $.ajax({url: '/relays/schedule/delete/' + id, type: 'POST'})
        // $.post('/schedule/delete/' + id).then()
        $modalDiv.addClass('loading');
        $('[data-record-id=' + id + ']').remove();
        setTimeout(function() {
            $modalDiv.modal('hide').removeClass('loading');
        }, 1000)
    });
    $('#confirm-delete').on('show.bs.modal', function(e) {
        var data = $(e.relatedTarget).data();
        $('.title', this).text(data.recordTitle);
        $('.btn-ok', this).data('recordId', data.recordId);
    });
  </script>
{% endblock %}